Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.util
Class ConverterBase

    java.lang.Object
      writer2latex.util.ConverterBase

All Implemented Interfaces:
  Converter

Direct Known Subclasses:
  Converter, Converter, ConverterPalette

    public abstract class ConverterBase

extends java.lang.Object
implements Converter

Abstract base implementation of `writer2latex.api.Converter`

Field Summary
`protected Config` | `config`
`protected ConvertData` | `convertData`
`protected GraphicConverter` | `graphicConverter`
`protected ImageLoader` | `imageLoader`
`protected MetaData` | `metaData`
`protected OfficeDocument` | `odDoc`
`protected OfficeReader` | `ofr`
`protected java.lang.String` | `sTargetFileName`

Constructor Summary
`ConverterBase()`

Method Summary
`void` | `addDocument(OutputFile doc)`
`ConverterResult` | `convert(java.io.InputStream is, java.lang.String sTargetFileName)` Convert a document
`abstract void` | `convertInner()`
`EmbeddedObject` | `getEmbeddedObject(java.lang.String sHref)`
`ImageLoader` | `getImageLoader()`
`MetaData` | `getMetaData()`
`void` | `readTemplate(java.io.InputStream is)` Read a template to use as a base for the converted document The format of the template depends on the `Converter` implementation.
`void` | `setConfig(Config config)` Define the configuration to use when converting.
`void` | `setGraphicConverter(GraphicConverter graphicConverter)` Define a `GraphicConverter` implementation to use for conversion of graphic files.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected Config config

### graphicConverter

    protected GraphicConverter graphicConverter

### odDoc

    protected OfficeDocument odDoc

### ofr

    protected OfficeReader ofr

### metaData

    protected MetaData metaData

### imageLoader

    protected ImageLoader imageLoader

### sTargetFileName

    protected java.lang.String sTargetFileName

### convertData

    protected ConvertData convertData

Constructor Detail

### ConverterBase

    public ConverterBase()

Method Detail

### setConfig

    public void setConfig(Config config)

  Description copied from interface: `Converter`

  Define the configuration to use when converting. If no configuration is specified, the converter will use a default configuration.

  Note: This method will change in version 0.6

  Specified by:
    `setConfig` in interface `Converter`
  Parameters:
    `config` - the configuration to use

### setGraphicConverter

    public void setGraphicConverter(GraphicConverter graphicConverter)

  Description copied from interface: `Converter`

  Define a `GraphicConverter` implementation to use for conversion of graphic files. If no converter is specified, graphic files will not be converted into other formats.

  Specified by:
    `setGraphicConverter` in interface `Converter`
  Parameters:
    `graphicConverter` - the `GraphicConverter` to use

### readTemplate

    public void readTemplate(java.io.InputStream is)
                      throws java.io.IOException

  Description copied from interface: `Converter`

  Read a template to use as a base for the converted document

  The format of the template depends on the `Converter` implementation.

  Specified by:
    `readTemplate` in interface `Converter`
  Parameters:
    `is` - an `InputStream` from which to read the template
  Throws:
    `java.io.IOException` - if some exception occurs while reading the template

### convert

    public ConverterResult convert(java.io.InputStream is,
                                   java.lang.String sTargetFileName)
                            throws java.io.IOException

  Description copied from interface: `Converter`

  Convert a document

  Specified by:
    `convert` in interface `Converter`
  Parameters:
    `is` - an `InputStream` from which to read the source document.
    `sTargetFileName` - the file name to use for the converted document (if the converted document is a compound document consisting consisting of several files, this name will be used for the master document)
  Returns:
    a `ConverterResult` containing the converted document
  Throws:
    `java.io.IOException` - if some exception occurs while reading the document

### convertInner

    public abstract void convertInner()
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMetaData

    public MetaData getMetaData()

### getImageLoader

    public ImageLoader getImageLoader()

### addDocument

    public void addDocument(OutputFile doc)

### getEmbeddedObject

    public EmbeddedObject getEmbeddedObject(java.lang.String sHref)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD